Module javafx.graphics
Package javafx.css

# Class SimpleStyleableLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.LongProperty
javafx.beans.property.LongPropertyBase
javafx.css.StyleableLongProperty
javafx.css.SimpleStyleableLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

public class SimpleStyleableLongProperty extends StyleableLongProperty
This class extends `SimpleLongProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `LongProperty`, that would otherwise be implemented as a `SimpleLongProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  - `SimpleLongProperty`
  - `CssMetaData`
  - `StyleableProperty`
  - `StyleableLongProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData)`
  The constructor of the `SimpleStyleableLongProperty`.
  `SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Long initialValue)`
  The constructor of the `SimpleStyleableLongProperty`.
  `SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name)`
  The constructor of the `SimpleStyleableLongProperty`.
  `SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name, Long initialValue)`
  The constructor of the `SimpleStyleableLongProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBean()`
  Returns the `Object` that contains this property.
  `final CssMetaData<? extends Styleable,Number>`
  `getCssMetaData()`
  Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
  `String`
  `getName()`
  Returns the name of this property.

  ### Methods declared in class javafx.css.StyleableLongProperty

  `applyStyle, getStyleOrigin`

  ### Methods declared in class javafx.beans.property.LongPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.LongProperty

  `asObject, bindBidirectional, longProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

  `readOnlyLongProperty`

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, intValue, longExpression, longExpression, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleStyleableLongProperty

    public SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData)
    The constructor of the `SimpleStyleableLongProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableLongProperty

    public SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Long initialValue)
    The constructor of the `SimpleStyleableLongProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableLongProperty

    public SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableLongProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `LongProperty`
      `name` - the name of this `LongProperty`

  - ### SimpleStyleableLongProperty

    public SimpleStyleableLongProperty(CssMetaData<? extends Styleable,Number> cssMetaData, Object bean, String name, Long initialValue)
    The constructor of the `SimpleStyleableLongProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `LongProperty`
      `name` - the name of this `LongProperty`
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`

  - ### getCssMetaData

    public final CssMetaData<? extends Styleable,Number> getCssMetaData()
    Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
    Returns:
      the corresponding CssMetaData